package com.izouma.nineth.event;

import com.izouma.nineth.dto.NFTAccount;
import org.springframework.context.ApplicationEvent;

public class AccountCreatedEvent extends ApplicationEvent {
    private final Long       userId;
    private final NFTAccount account;

    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source  the object on which the event initially occurred or with
     *                which the event is associated (never {@code null})
     * @param userId
     * @param account
     */
    public AccountCreatedEvent(Object source, Long userId, NFTAccount account) {
        super(source);
        this.userId = userId;
        this.account = account;
    }

    public Long getUserId() {
        return userId;
    }

    public NFTAccount getAccount() {
        return account;
    }
}
